Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Contactless EMV Purchase with a Surcharge Fee


This use case processes a PIN debit purchase with contactless EMV and a surcharge fee. Set orderInformation.amountDetails.surcharge.amount to the surcharge amount.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "ABC123",    "partner": {      "thirdPartyCertificationNumber": "PTP1234"    }  },  "processingInformation": {    "commerceIndicator": "retail",    "networkRoutingOrder": "GUFV"  },  "paymentInformation": {    "paymentType": {      "name": "CARD",      "subTypeName": "DEBIT"    },    "card": {      "useAs": "",      "sourceAccountType": "UA"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "24.00",      "currency": "USD",      "surcharge": {        "amount": "-20.00"      }    }  },  "pointOfSaleInformation": {    "entryMode": "contactless",    "terminalCapability": 4,    "emv": {      "tags": "9F3303204000950500000000009F3704518823719F100706011103A000009F26081E1756ED0E2134E29F36020015820200009C01009F1A0208409A030006219F02060000000020005F2A0208409F0306000000000000",      "cardSequenceNumber": "01"    },    "trackData": ";4xxxxxxxxxxx1111=33121019761186800000?"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/6883842752296552503964/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6883842752296552503964"    }  },  "clientReferenceInformation": {    "code": "ABC123"  },  "id": "6883842752296552503964",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "24.00",      "currency": "usd"    }  },  "processingInformation": {    "reconciliationId": "6883842752296552503964"  },  "processorInformation": {    "systemTraceAuditNumber": "109328",    "routing": {      "network": "0000"    },    "approvalCode": "831000",    "retrievalReferenceNumber": "123456109328",    "transactionId": "000000000000000",    "responseCode": "00"  },  "reconciliationId": "6883842752296552503964",  "status": "AUTHORIZED",  "submitTimeUtc": "2023-07-03T11:37:55Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.surcharge.amount—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.sourceAccountTypeSet the value to UA.
paymentInformation.card.useAsLeave this field blank.
paymentInformation.paymentType.nameSet the value to CARD.
paymentInformation.paymentType.subTypeNameSet the value to DEBIT.
pointOfSaleInformation.emv.cardSequenceNumberRequired only when the card has a sequence number configured on the EMV chip.
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.entryModeSet the value to contactless.
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.